# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%{!?_mavenpomdir: %global _mavenpomdir %{_datadir}/maven2/poms}

%global namedversion %{version}

%bcond_with repolib
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Name:           maven-common-artifact-filters
Version:        1.4
Release:        2%{?dist}
Epoch:          0
Summary:        Maven Common Artifact Filters
License:        ASL 2.0
Group:          Development/Java
URL:            http://maven.apache.org/shared/
%if 0
rm -rf maven-common-artifact-filters-1.4/ maven-common-artifact-filters-1.4.tar.bz2
svn -q export -r 1346031 http://svn.apache.org/repos/asf/maven/shared/tags/maven-common-artifact-filters-1.4 && \
tar cjf maven-common-artifact-filters-1.4.tar.bz2 maven-common-artifact-filters-1.4
%endif
Source0:        maven-common-artifact-filters-1.4.tar.bz2
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       maven-shared-components >= 0:17
Requires:       maven2 >= 0:2.0.8
Requires:       plexus-containers-container-default >= 0:1.5.5
# XXX: 2.1
Requires:       plexus-utils
BuildRequires:  jpackage-utils
BuildRequires:  maven-shared-components >= 0:17
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  plexus-containers-container-default >= 0:1.5.5
# XXX: 2.1
BuildRequires:  plexus-utils
# XXX: 4.9
BuildRequires:  junit4 >= 0:4.8
# XXX: 1.0-alpha-2
BuildRequires:  maven-test-tools >= 0:1.0
# XXX: 1.2_Java1.3
BuildRequires:  easymock >= 0:1.2
BuildRequires:  maven-plugin-testing-harness >= 0:1.1
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven-surefire-provider-junit4
Provides:       maven-shared-common-artifact-filters = %{epoch}:%{version}-%{release}
Obsoletes:      maven-shared-common-artifact-filters < 0:1.1
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
A collection of ready-made filters to control inclusion/exclusion of artifacts
during dependency resolution.

%package javadoc
Summary:        Javadoc for maven-common-artifact-filters
Group:          Development/Documentation
Requires:       jpackage-utils

%description javadoc
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q

%build
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file:`pwd`/maven2-brew
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} deploy javadoc:aggregate

## FIXME: deploy bug
#%{__mkdir_p} maven2-brew/org/apache/maven/shared/maven-common-artifact-filters/%{namedversion}/
#%{__mv} maven2-brew/org/apache/maven/shared/maven-common-artifact-filters/1.4/* maven2-brew/org/apache/maven/shared/maven-common-artifact-filters/%{namedversion}/ || :
#%{__rm} -rf maven2-brew/org/apache/maven/shared/maven-common-artifact-filters/1.4/
#pushd maven2-brew/org/apache/maven/shared/maven-common-artifact-filters/%{namedversion}/
#for artifact in *1.4*; do 
#    %{__mv} ${artifact} `/bin/echo ${artifact} | %{__sed} -e 's/1\.3/%{namedversion}/g;'`;
#done
#popd
#

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/org/apache/maven/shared/maven-common-artifact-filters/%{namedversion}/maven-common-artifact-filters-%{namedversion}.jar %{buildroot}%{_javadir}/maven-common-artifact-filters-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p maven2-brew/org/apache/maven/shared/maven-common-artifact-filters/%{namedversion}/maven-common-artifact-filters-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-maven-common-artifact-filters.pom
%add_to_maven_depmap org.apache.maven.shared maven-common-artifact-filters %{namedversion} JPP maven-common-artifact-filters
[ -f %{buildroot}%{_mavendepmapfragdir}/maven-common-artifact-filters ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/maven-common-artifact-filters

%{__mkdir_p} %{buildroot}%{_javadocdir}/maven-common-artifact-filters-%{namedversion}
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/maven-common-artifact-filters-%{namedversion}
%{__ln_s} maven-common-artifact-filters-%{namedversion} %{buildroot}%{_javadocdir}/maven-common-artifact-filters

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc
%{_javadir}*/maven-common-artifact-filters-%{namedversion}.jar
%{_javadir}*/maven-common-artifact-filters.jar
%{_mavenpomdir}/JPP-maven-common-artifact-filters.pom
%{_mavendepmapfragdir}/maven-common-artifact-filters

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/maven-common-artifact-filters-%{namedversion}
%{_javadocdir}/maven-common-artifact-filters

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Fri Jun 29 2012 Ralph Apel <r.apel@r-apel.de> 0:1.4-2
- Provide and Obsolete maven-shared-common-artifact-filters

* Mon Jun 04 2012 David Walluck <dwalluck@redhat.com> 0:1.4-1
- release

* Fri Oct 14 2011 David Walluck <dwalluck@redhat.com> 1.3-1
- release
